Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 496996 - app-admin/webalizer should create /run/webalizer in cron job
Summary: app-admin/webalizer should create /run/webalizer in cron job
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Anthony Basile
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-04 19:30 UTC by G.Wolfe Woodbury
Modified: 2016-08-27 23:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description G.Wolfe Woodbury 2014-01-04 19:30:24 UTC
the app-admin/webalizer-2.23.05 default to putting various locfiles in /run/webalizer/*, however nothing in the package ebuild ensures that the directory is created or maintained, causing daily cron jobs to fail.

Reproducible: Always

Steps to Reproduce:
1.install app-admin/webalizer-2.23.05
2.ensure cron job ois enables in /etc/cron.daily
3.
Actual Results:  
regular emails to root complaining about failed webalizer cron job due to missing directory in /run

Expected Results:  
quiet operation

workaround/fix:  add line
  mkdir -p /run/webalizer

to /etc/cron.daily/webalizer before the "touch $LOCKFILE" call
Comment 1 Anthony Basile gentoo-dev 2014-01-26 12:18:25 UTC
(In reply to G.Wolfe Woodbury from comment #0)
> the app-admin/webalizer-2.23.05 default to putting various locfiles in
> /run/webalizer/*, however nothing in the package ebuild ensures that the
> directory is created or maintained, causing daily cron jobs to fail.
> 
> Reproducible: Always
> 
> Steps to Reproduce:
> 1.install app-admin/webalizer-2.23.05
> 2.ensure cron job ois enables in /etc/cron.daily
> 3.
> Actual Results:  
> regular emails to root complaining about failed webalizer cron job due to
> missing directory in /run
> 
> Expected Results:  
> quiet operation
> 
> workaround/fix:  add line
>   mkdir -p /run/webalizer
> 
> to /etc/cron.daily/webalizer before the "touch $LOCKFILE" call

Is this a workaround or woudl it be a fix?  Seems to me to be sufficient.
Comment 2 G.Wolfe Woodbury 2014-03-08 21:59:33 UTC
I would call it a fix/patch in that it properly adapts webalizer for OpernRC
Comment 3 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2014-03-09 15:10:30 UTC
As this is caused by having /run mounted as tmpfs, I think it would make more sense to create a common init script to be run on /boot and that populates the required dirs. I believe I heard some talk of doing this when these issues started appearing.
Comment 4 G.Wolfe Woodbury 2015-06-01 19:26:23 UTC
Any update on this?  I'm not currently using webalizer so I don't know if someone has fixed this.
Comment 5 G.Wolfe Woodbury 2016-08-27 19:36:32 UTC
Anyone interested in this? Has it been fixed?
Comment 6 Anthony Basile gentoo-dev 2016-08-27 23:42:33 UTC
(In reply to G.Wolfe Woodbury from comment #5)
> Anyone interested in this? Has it been fixed?

sorry i should probably drop this package since i'm not giving it love.  do you want to give me a patch and i'll just apply it.